package com.hdkj.lt.job.task;

import com.hdkj.lt.job.service.IDealPsrDeviceService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description 馈线和档距段根据备份表非中台补充字段
 * @Author wcx
 * @Date 2025/9/1 14:45
 * @Version 1.0
 */
@Slf4j
@Component("feederSpanSegmentSupply")
@RequiredArgsConstructor
public class FeederSpanSegmentSupplyProcessor {

    private final IDealPsrDeviceService dealPsrDeviceService;

    public void noParams() {
        log.info("=====>馈线和档距段根据备份表补充中台字段定时任务=====");
        long startTime = System.nanoTime();
        dealPsrDeviceService.dealFeederSpanSegmentBak();
        long endTime = System.nanoTime();
        log.info("=====>馈线和档距段根据备份表补充中台字段定时任务执行完成耗时：{}ms=====", (endTime - startTime) / 1_000_000);
    }
}
